Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.server.parser
Class OWLlinkLoadOntologiesElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler<LoadOntologies>
                  org.semanticweb.owlapi.owllink.server.parser.OWLlinkLoadOntologiesElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<LoadOntologies>, OWLlinkRequestElementHandler<LoadOntologies>

    public class OWLlinkLoadOntologiesElementHandler

extends AbstractOWLlinkKBRequestElementHandler<LoadOntologies>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 28.11.2009

Constructor Summary
`OWLlinkLoadOntologiesElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `attribute(java.lang.String localName, java.lang.String value)`
`LoadOntologies` | `getOWLObject()`
`void` | `handleChild(OWLlinkIRIMappingElementHandler handler)`
`void` | `handleChild(OWLlinkOntologyIRIElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkKBRequestElementHandler
`endElement, getKB`

Methods inherited from class org.semanticweb.owlapi.owllink.server.parser.AbstractOWLlinkElementHandler
`getOWLlinkObject, getParentHandler, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.server.parser.OWLlinkElementHandler
`getOWLlinkObject, handleChild, handleChild, handleChild, handleChild`

Constructor Detail

### OWLlinkLoadOntologiesElementHandler

    public OWLlinkLoadOntologiesElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBRequestElementHandler<LoadOntologies>`
  Throws:
    `OWLXMLParserException`

### attribute

    public void attribute(java.lang.String localName,
                          java.lang.String value)
                   throws OWLXMLParserException

  Overrides:
    `attribute` in class `AbstractOWLlinkKBRequestElementHandler<LoadOntologies>`
  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLlinkOntologyIRIElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<LoadOntologies>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<LoadOntologies>`

### handleChild

    public void handleChild(OWLlinkIRIMappingElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<LoadOntologies>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<LoadOntologies>`

### getOWLObject

    public LoadOntologies getOWLObject()
                                throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD